# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Address_management			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Address_management_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management

#-----[ Library ]------------------------------------------

Address_management_LIBRARY		= 	-lAddress_management	\
					$(Behavioural_LIBRARY)	

Address_management_DIR_LIBRARY		=	-L$(Address_management_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Address_management_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile;

Address_management_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile clean;
